Subject: Re: Make program find its dll:s
From: Markus Hoenicka <[email-masked]>
To: Eric Lilja <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Nov 2008 12:48:59 +0100
List-Id: <cygwin.cygwin.com>

Quoting Eric Lilja <[email-masked]>:

> Hi Tomás and thanks for the quick reply. I tried setting
> LD_LIBRARY_PATH using $ LD_LIBRARY_PATH=/path/to/dll-files (and then
> checking with
> $ echo LD_LIBRARY_PATH that it "stuck"), but the process still cannot
> find the DLL files. I am starting the process with strace so I am sure
> this is the problem, not something else. I guess I could temporarily
> modify the PATH but I'm interested in alternatives.
>

Although this is nothing specific to Cygwin: If you want to make the  
variable value available to processes which are executed subsequently,  
you need to export the variable, not just set it, as in:

export LD_LIBRARY_PATH=/path/to/dll-files

Alternatively, set the variable in the command line like this:

LD_LIBRARY_PATH=/path/to/dll-files foo

assuming that "foo" is the command to start the app which requires the dll.

regards,
Markus

-- 
Markus Hoenicka
[email-masked]
(Spam-protected email: replace the quadrupeds with "mhoenicka")
http://www.mhoenicka.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/